Std Undo: Difference between revisions

From FreeCAD Documentation
({{Docnav)
No edit summary
(17 intermediate revisions by 5 users not shown)
Line 2: Line 2:
<translate>
<translate>


<!--T:9-->
{{Docnav
{{Docnav
|
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Redo|Redo]]
|[[Std_Redo|Std Redo]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=
|IconL=
|IconC=Freecad.svg
|IconR=Std_Redo.svg
|IconR=Std_Redo.svg
|IconC=Freecad.svg
}}
}}


Line 14: Line 15:
{{GuiCommand
{{GuiCommand
|Name=Std Undo
|Name=Std Undo
|MenuLocation=[[Std_Edit_Menu|Edit]] → Undo
|MenuLocation=Edit → Undo
|Workbenches=All
|Workbenches=All
|Shortcut=Ctrl+Z
|Shortcut={{KEY|Ctrl}}+{{KEY|Z}}
|SeeAlso=[[Std Redo|Redo]]
|SeeAlso=[[Std_Redo|Std Redo]]
}}
}}


==Description== <!--T:2-->
==Description== <!--T:2-->
Undoes exactly one action.


==Use== <!--T:3-->
<!--T:15-->
The '''Std Undo''' command undoes the last action.

==Usage== <!--T:3-->


<!--T:6-->
<!--T:6-->
# There are several ways to invoke the command:
Click on [[Image:Std_Undo.png|16px]] or choose {{MenuCommand|Edit → [[Image:Std_Undo.png|16px]] Undo}} from the top menu.
#* Press the {{Button|[[Image:Std_Undo.svg|16px]] [[Std_Undo|Std Undo]]}} button.
#* Select the {{MenuCommand|Edit → [[Image:Std_Undo.svg|16px]] Undo}} option from the menu.
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|Z}}.


<!--T:7-->
==Options== <!--T:16-->
Click ont black down-arrow on the right side of the icon to get a list of max 12 actions to choose from.


<!--T:17-->
* To undo multiple actions click on the black down arrow to the right of the {{Button|[[Image:Std_Undo.svg|16px]] [[Std_Undo|Std Undo]]}} button and select from the list.

==Preferences== <!--T:18-->

<!--T:19-->
* The Undo/Redo functionality can be disabled by setting {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo}} to {{FALSE}}, but this is not recommended. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].
* The maximum number of Undo/Redo steps is controlled by {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize}}. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].

==Scripting== <!--T:20-->

<!--T:21-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:22-->
To undo the last action use the {{incode|undo}} method of the document object.

</translate>
{{Code|code=
import FreeCAD

FreeCAD.ActiveDocument.undo()
}}
<translate>

<!--T:10-->
{{Docnav
{{Docnav
|
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Redo|Redo]]
|[[Std_Redo|Std Redo]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=
|IconL=
|IconC=Freecad.svg
|IconR=Std_Redo.svg
|IconR=Std_Redo.svg
|IconC=Freecad.svg
}}
}}


<!--T:8-->
{{Std Base}}
{{Userdocnavi}}
</translate>
</translate>
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Revision as of 10:46, 24 March 2020

Std Undo

Menu location
Edit → Undo
Workbenches
All
Default shortcut
Ctrl+Z
Introduced in version
-
See also
Std Redo

Description

The Std Undo command undoes the last action.

Usage

  1. There are several ways to invoke the command:
    • Press the Std Undo button.
    • Select the Edit → Undo option from the menu.
    • Use the keyboard shortcut: Ctrl+Z.

Options

  • To undo multiple actions click on the black down arrow to the right of the Std Undo button and select from the list.

Preferences

  • The Undo/Redo functionality can be disabled by setting Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo to false, but this is not recommended. This setting can also be changed in the Preferences Editor.
  • The maximum number of Undo/Redo steps is controlled by Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize. This setting can also be changed in the Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To undo the last action use the undo method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.undo()